<div class="page-breadcrumb">
    <div class="row align-items-center">
        <div class="col-5">
            <h4 class="page-title"><b>Bolsa de Puntos</b></h4>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: #092a5e">Uso de puntos</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Consultar</li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="col-7" style="text-align: right">
            <button type="button" class="btn btn-dental" data-toggle="modal" data-target="#exampleModal">
                <i class="fas fa-inbox"></i>&nbsp;&nbsp;Cargar Bolsa
            </button>
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content animated bounceIn">
            <div class="modal-header">
                <h4 class="modal-title" id="exampleModalLabel">Cargar bolsa</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="padding: 10px 30px 10px 30px">

                <form ng-submit="cargar(form)" class="form-horizontal">
                    <div class="form-group">
                        <label>Cliente</label>
                        <select ng-model="nuevo.cliente" style="width: 100% !important" class="form-control">
                            <option ng-repeat="cli in clientes" value={{cli._id}}>{{cli.nombre}} {{cli.apellido}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Monto</label>
                        <input ng-model="nuevo.monto" type="number" class="form-control" placeholder="Monto en GS." required>
                    </div>
                    <div class="modal-footer" style="margin: 0px -27px;">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-dental">Cargar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<div class="col-lg-12">
    <div class="card" style="border-radius: 8px">
        <div class="card-header">
            <strong>Realizar</strong> Consulta
        </div>
        <div class="card-body card-block">
            <form ng-submit="consultar()" class="form-inline">
                <div class="col col-12">
                    <div style="padding-top: 20px" class="row">
                        <div class="col col-4 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Vencimiento:</label>
                            <input ng-model="consulta.vencimiento" type="number" style="width: 100% !important" class="form-control"> <a class="srh-btn"><i class="ti-close"></i></a>
                        </div>
                        <div class="col col-4 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Estado:</label>
                            <select ng-model="consulta.estado" style="width: 100% !important" class="form-control">
                                <option value="TODOS">TODOS</option>
                                <option value="VIGENTES">VIGENTES</option>
                                <option value="VENCIDOS">VENCIDOS</option>
                            </select>
                        </div>
                        <div class="col col-4 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Cliente:</label>
                            <select ng-model="consulta.cliente" style="width: 100% !important" class="form-control">
                                <option ng-repeat="cli in clientes" value={{cli._id}}>{{cli.nombre}} {{cli.apellido}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col col-12" style="padding-top: 20px">
                    <div style="text-align: right;">
                        <button type="submit" class="btn btn-dental">
                            <i class="fa fa-dot-circle-o"></i> Consultar
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div ng-show="mostrarTabla" class="col-lg-12">
    <div class="card hidden-table">
        <div ng-if="bolsas.length > 0" class="table-responsive">
            <table class="table">
                <thead class="thead-light">
                    <tr>
                        <th scope="col">Cliente</th>
                        <th scope="col">Fecha Asignacion</th>
                        <th scope="col">Fecha Caducidad</th>
                        <th scope="col">Puntaje Asignado</th>
                        <th scope="col">Puntaje Utilizado</th>
                        <th scope="col">Saldo Puntos</th>
                        <th scope="col">Monto</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="b in filtrado">
                        <td style="padding-top: 14px">{{b.idCliente.nombre}} {{b.idCliente.apellido}}</td>
                        <td style="padding-top: 14px">{{b.fechaAsignacion | date : 'dd/MM/yyyy'}}</td>
                        <td style="padding-top: 14px">{{b.fechaCaducidad | date : 'dd/MM/yyyy'}}</td>
                        <td style="padding-top: 14px">{{b.puntajeAsignado}}</td>
                        <td style="padding-top: 14px">{{b.puntajeUtilizado}}</td>
                        <td style="padding-top: 14px"><label class="label label-success ng-binding" style="font-size: 17px;">{{b.saldoPuntos}} <small>pts</small></label></td>
                        <td style="padding-top: 14px">{{b.montoOperacion | currency :'Gs. ': 0 }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>